<?php
/*********************************************************************************************
+ IP Manager v0.1 : A Plugin for MyBB 1.4 and 1.6
+ Free to Use
+ Free to Edit
+ But Not Allowed to distribute
**********************************************************************************************
*/
if(!defined("IN_MYBB"))
{
	die("Direct initialization of this file is not allowed.<br /><br />Please make sure IN_MYBB is defined.");
}

$plugins->add_hook("admin_tools_menu_logs", "ip_man_admin_nav");
$plugins->add_hook("admin_tools_action_handler", "ip_man_action_handler");
$plugins->add_hook("admin_load", "ip_man");
$plugins->add_hook("admin_tools_permissions", "ip_man_admin_permissions");

function ip_man_info()
{
	return array(
		'name'			=> "IP Manager",
		'description'	=> "A Plugin to Show IPs of Users.",
		'website'		=> "http://yaldaram.com",
		'author'		=> "Yaldaram",
		'authorsite'	=> "http://yaldaram.com",
		'version'		=> "0.1",
		'compatibility' => "14*,16*",
		'guid' => '6076ceff52ee2f4080d357447fb6b685'
	);
}

function ip_man_activate()
{
	change_admin_permission('tools', 'ip_man');

}

function ip_man_deactivate()
{
	change_admin_permission('tools', 'ip_man', -1);
}

function ip_man_admin_nav(&$sub_menu)
{
	global $mybb, $lang;

	$lang->load("tools_ip_man", false, true);
		
	end($sub_menu);
	$key = (key($sub_menu))+10;

	if(!$key)
	{
		$key = '100';
	}
	
	$sub_menu[$key] = array('id' => 'ip_man', 'title' => "IP Manager", 'link' => "index.php?module=tools/ip_man");
}

function ip_man_action_handler(&$action)
{
	$action['ip_man'] = array('active' => 'ip_man', 'file' => '');
}

function ip_man_admin_permissions(&$admin_permissions)
{
  	global $db, $mybb, $lang;
		
	$lang->load("tools_ip_man", false, true);
		
	$admin_permissions['ip_man'] = "Can View IP Manager";
}

function ip_man()
{
	global $mybb, $db, $page, $theme;

	if($page->active_action != "ip_man")
	{
		return;
	}
	
	$page->add_breadcrumb_item("IP Manager");

	$page->output_header("IP Manager");

		$table = new Table;
		$table->construct_header("Username", array("class" => "align_center","width" => "20%"));
		$table->construct_header("Registration Date", array("class" => "align_center", "width" => "20%"));
		$table->construct_header("IP", array("class" => "align_center", "width" => "20%"));
		$table->construct_header("Search", array("class" => "align_center", "width" => "20%"));
		$table->construct_row();

$query = $db->simple_select("users", "*", "uid !=''", array('order_by' => 'regdate', 'order_dir' => 'asc'));

while($ip_man = $db->fetch_array($query))
{
$user = get_user($ip_man['uid']);
	if ($user['uid'] != "")
	{
		$username = build_profile_link(format_name($user['username'],$user['usergroup'],$user['displaygroup']), $ip_man['uid']);
	}

$regdate = date($mybb->settings['dateformat'], $ip_man['regdate']).", ".date($mybb->settings['timeformat'], $ip_man['regdate']);
$lastip = $ip_man['lastip'];
$regip = $ip_man['regip'];

		$table->construct_cell($username);
		$table->construct_cell($regdate);
		$table->construct_cell('<font size=1>Reg.&nbsp;IP:&nbsp;'.$regip.'<hr>Last&nbsp;IP:&nbsp;'.$lastip.'</font>');
		$table->construct_cell('<a href="index.php?module=user-users&action=search&results=1&conditions=a%3A1%3A{s%3A5%3A"regip"%3Bs%3A9%3A"'.$regip.'"%3B}" title="Search Users Registered With '.$user['username'].'\'s IP"><div align="center"><img src="styles/default/images/search.png"></div></a>');
		$table->construct_row();
}
		$table->output("IP Manager");
		$page->output_footer();
}
?>